package osa.attribute.atgrammar.gui.file_choosers;

import javax.swing.JFileChooser;
import javax.swing.filechooser.*;


/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: </p>
 * <p>Company: </p>
 * @author not attributable
 * @version
 */

public class FileChoosersFactory
  {

  private static JFileChooser file_chooser=new JFileChooser();

  public static JFileChooser getClassFileChooser()
    {
    file_chooser.resetChoosableFileFilters();
    file_chooser.setAccessory(null);

    file_chooser.setFileFilter(new GenericFileFilter("class","Class файл обработчика символа"));
    return file_chooser;
    }

  public static JFileChooser getProjectFileChooser()
    {
    file_chooser.resetChoosableFileFilters();
    file_chooser.setAccessory(null);

    file_chooser.setFileFilter(new GenericFileFilter("xml","Файл проекта атрибутного преобразователя"));
    return file_chooser;
    }

  }